#include "spinsliderplugin.h"

#include "spinslider.h"

#include <QtCore/QtPlugin>


SpinSliderPlugin::SpinSliderPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void SpinSliderPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized) return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool SpinSliderPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * SpinSliderPlugin::createWidget(QWidget * parent) {
	return new SpinSlider(parent);
}


QString SpinSliderPlugin::name() const {
	return QLatin1String("SpinSlider");
}


QString SpinSliderPlugin::group() const {
	return QLatin1String("Input Widgets");
}


QIcon SpinSliderPlugin::icon() const {
	return QIcon(":/icons/widgets/spinslider.png");
}


QString SpinSliderPlugin::toolTip() const {
	return QLatin1String("Spin with Slider");
}


QString SpinSliderPlugin::whatsThis() const {
	return QLatin1String("Spin with Slider");
}


bool SpinSliderPlugin::isContainer() const {
	return false;
}


QString SpinSliderPlugin::domXml() const {
	return QLatin1String("<widget class=\"SpinSlider\" name=\"spinSlider\">\n</widget>\n");
}


QString SpinSliderPlugin::includeFile() const {
	return QLatin1String("spinslider.h");
}
